Subject: bug#9181: 24.0.50; Alpha transparency no longer works

From: Jan Djärv <[email-masked]>
Date: Wed, 03 Aug 2011 13:50:54 +0200

David De La Harpe Golden skrev 2011-08-03 10:22:
> On 03/08/11 09:13, Jan Djärv wrote:
>>
>>
>> Luka Novsak skrev 2011-08-02 22:23:
>>> On Sat, Jul 30, 2011 at 9:04 AM, Jan Djärv<[email-masked]> wrote:
>>>> Do not remove the debbugs address, sending again with it.
>>>
>>> Silly gmail did it.
>>>
>>> Anyway, I've reported this upstream with Openbox, for one. However
>>> even if they fix it, this will remain broken with many WMs still out
>>> there.
>>
>> Which WM:s?
>>
>
> ...I've yet to encounter any that propagate the property...

Metacity (gnome 2.x) and unity-decorator (Ubunty 11.04) does.

>
> Now-typical combined compositing/window managers read the property from the
> client's window anyway (and don't propagate). If it is ever standardised, I'd
> kind of expect it to be standardised without the propagation (but still with
> the client's window being the right place for the client to set it, so the
> difference is somewhat academic).
>

Typical compsiting managers are separate programs from the window manager 
(compiz for example), so they don't know what window is the client window.
That is why the propagate requirement is there.

	Jan D.